// CounterReadWriteClear.cpp : Defines the entry point for the console application.
//



#include "stdafx.h"



int _tmain(int argc, _TCHAR* argv[])
{
	int i_ReturnValue = 0;
	HANDLE h_BoardHandle;
	DWORD dw_Temp = 0;
	BYTE b_ModuleNbr = 0;
	DWORD dw_FirstCounterValue = 0;
	DWORD dw_SecondCounterValue = 0;
	BYTE b_CounterRange = 0;
	BYTE b_FirstCounterModus = 0;
	BYTE b_FirstCounterOption = 0;
	BYTE b_SecondCounterModus = 0;
	BYTE b_SecondCounterOption = 0;
	BYTE b_LatchReg = 0;
	DWORD dw_LatchValue = 0;
	BYTE b_Cpt = 0;
	DWORD dw_WriteValue = 0;
	BYTE pb_CounterModeSelection [4] = {PCI1710_DIRECT_MODE,PCI1710_SIMPLE_MODE,PCI1710_DOUBLE_MODE,PCI1710_QUADRUPLE_MODE};
	CHAR *pc_CounterModeSelection [4] = {"DIRECT_MODE","SIMPLE_MODE","DOUBLE_MODE","QUADRUPLE_MODE"};
	int i_Key = 0;
	UNREFERENCED_PARAMETER(argc);
	UNREFERENCED_PARAMETER(argv);
	

	printf("Test counter read write clear sample");

	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);

	if(i_ReturnValue ==0)
	{
		/* Get module number to test */
		do
		{
			printf("\n Select the module You want to use (0 to 3):");
			scanf_s("%lu",&dw_Temp);
		}
		while (dw_Temp > 3);

		b_ModuleNbr = (BYTE) dw_Temp;

		/* Get module range */
		do
		{
			printf("\n Select the module range(0: 1x32 bits or 1: 2x16bits) You want to use :");
			scanf_s("%lu",&dw_Temp);
		}
		while (dw_Temp > 1);

		b_CounterRange = (BYTE) dw_Temp << 4;

		if (b_CounterRange == PCI1710_16BIT_COUNTER)
		{
			printf("\n Select the counter mode for the first counter :");
			do
			{
				/* Get the counter mode */
				for (b_Cpt = 0; b_Cpt<4;b_Cpt++)
				{
					printf("\n%hu. %s",b_Cpt,pc_CounterModeSelection[b_Cpt]);
				}
				printf("\n Your selection :");
				scanf_s ("%lu",&dw_Temp);
			}
			while(dw_Temp > 3);

			b_FirstCounterModus = pb_CounterModeSelection[dw_Temp];

			printf("\n Select the first counter option :");

			if (b_FirstCounterModus == PCI1710_DIRECT_MODE)
			{
				do
				{
					printf("\n DECREMENT(0) or INCREMENT (1) :");
					scanf_s("%lu",&dw_Temp);
				}
				while(dw_Temp > 1);

				b_FirstCounterOption = (BYTE) (PCI1710_INCREMENT * dw_Temp);
			}
			else
			{
				do
				{
					printf("\n HYSTERESIS OFF(0) or HYSTERESIS ON (1) :");
					scanf_s("%lu",&dw_Temp);
				}
				while(dw_Temp > 1);

				b_FirstCounterOption = (BYTE) (PCI1710_HYSTERESIS_ON * dw_Temp);
			}

			printf("\n Select the counter mode for the second counter :");
			do
			{
				/* Get the counter mode */
				for (b_Cpt = 0; b_Cpt<4;b_Cpt++)
				{
					printf("\n%hu. %s",b_Cpt,pc_CounterModeSelection[b_Cpt]);
				}
				printf("\n Your selection :");
				scanf_s ("%lu",&dw_Temp);
			}
			while(dw_Temp > 3);

			b_SecondCounterModus = pb_CounterModeSelection[dw_Temp];

			printf("\n Select the second counter option :");

			if (b_SecondCounterModus == PCI1710_DIRECT_MODE)
			{
				do
				{
					printf("\n DECREMENT(0) or INCREMENT (1) :");
					scanf_s("%lu",&dw_Temp);
				}
				while(dw_Temp > 1);

				b_SecondCounterOption = (BYTE) (PCI1710_INCREMENT * dw_Temp);
			}
			else
			{
				do
				{
					printf("\n HYSTERESIS OFF(0) or HYSTERESIS ON (1) :");
					scanf_s("%lu",&dw_Temp);
				}
				while(dw_Temp > 1);

				b_SecondCounterOption = (BYTE) (PCI1710_HYSTERESIS_ON * dw_Temp);
			}
		}
		else
		{
			printf("\n Select the counter mode for the counter :");
			do
			{
				/* Get the counter mode */
				for (b_Cpt = 0; b_Cpt<4;b_Cpt++)
				{
					printf("\n%hu. %s",b_Cpt,pc_CounterModeSelection[b_Cpt]);
				}
				printf("\n Your selection :");
				scanf_s ("%lu",&dw_Temp);
			}
			while(dw_Temp > 3);

			b_FirstCounterModus = pb_CounterModeSelection[dw_Temp];

			printf("\n Select the counter option :");

			if (b_FirstCounterModus == PCI1710_DIRECT_MODE)
			{
				do
				{
					printf("\n DECREMENT(0) or INCREMENT (1) :");
					scanf_s("%lu",&dw_Temp);
				}
				while(dw_Temp > 1);

				b_FirstCounterOption = (BYTE) (PCI1710_INCREMENT * dw_Temp);
			}
			else
			{
				do
				{
					printf("\n HYSTERESIS OFF(0) or HYSTERESIS ON (1) :");
					scanf_s("%lu",&dw_Temp);
				}
				while(dw_Temp > 1);

				b_FirstCounterOption = (BYTE) (PCI1710_HYSTERESIS_ON * dw_Temp);
			}

			b_SecondCounterModus = 0;
			b_SecondCounterOption = 0;


			
			printf ("\n Get latch register number (0 or 1)");
			do
			{
				scanf_s("%lu",&dw_Temp);
			}
			while (dw_Temp > 1);

			b_LatchReg = (BYTE) dw_Temp;
		}


		/* Initialise the incremental counter */
		i_ReturnValue = i_PCI1710_InitCounter (h_BoardHandle,
				   	                           b_ModuleNbr,
											   b_CounterRange,
											   b_FirstCounterModus,
											   b_FirstCounterOption,
											   b_SecondCounterModus,
											   b_SecondCounterOption);

		if (i_ReturnValue == 0)
		{
			printf("\n i_PCI1710_InitCounter OK");

			for (;;)
			{
				if (b_CounterRange == PCI1710_16BIT_COUNTER)
				{

					/* Read the first counter */
					i_ReturnValue = i_PCI1710_Read16BitCounterValue (h_BoardHandle,
																	 b_ModuleNbr,
																	 0,
																	 &dw_FirstCounterValue);
					if (i_ReturnValue == 0)
						printf("\n i_PCI1710_Read16BitCounterValue for the first counter OK");
					else
						printf("\n i_PCI1710_Read16BitCounterValue for the first counter Error : %d",i_ReturnValue);

					/* Read the second counter */
					i_ReturnValue = i_PCI1710_Read16BitCounterValue (h_BoardHandle,
																	 b_ModuleNbr,
																	 1,
																	 &dw_SecondCounterValue);

					if (i_ReturnValue == 0)
						printf("\n i_PCI1710_Read16BitCounterValue for the second counter OK");
					else
						printf("\n i_PCI1710_Read16BitCounterValue for the second counter Error : %d",i_ReturnValue);

					/* Print the first counter value */
					printf ("\nFirst counter value from module %d  = %5u", b_ModuleNbr, dw_FirstCounterValue);

					/* Print the second counter value */
					printf ("\nSecond counter value from module %d = %5u", b_ModuleNbr, dw_SecondCounterValue);
				}
				else
				{
					/* Latch the counter */
					i_ReturnValue = i_PCI1710_LatchCounter (h_BoardHandle,
									                        b_ModuleNbr,
									                        b_LatchReg);
					if (i_ReturnValue == 0)
					{
						/* Read the counter value */
						i_ReturnValue = i_PCI1710_ReadLatchRegisterValue (h_BoardHandle,
																		  b_ModuleNbr,
																		  b_LatchReg,
																		  &dw_LatchValue);
						if (i_ReturnValue == 0)
						{
							/* Print the first counter value */
							printf ("\nCounter value from module %d, latch register %d  = %5lu", b_ModuleNbr, b_LatchReg, dw_LatchValue);
						}
						else
							printf("\n i_PCI1710_ReadLatchRegisterValue Error : %d",i_ReturnValue);
					}
					else
						printf("\n i_PCI1710_LatchCounter Error : %d", i_ReturnValue);
				}

				/* Test key press */

				if (_kbhit ())
				{
					i_Key = _getch();

					if ((i_Key == 'C') || (i_Key == 'c'))
					{
						i_ReturnValue = i_PCI1710_ClearCounterValue(h_BoardHandle,b_ModuleNbr);
						if (i_ReturnValue == 0)
							printf("\n i_PCI1710_ClearCounterValue OK");
						else
							printf("\n i_PCI1710_ClearCounterValue Error : %d", i_ReturnValue);
					}

					if ((i_Key == 'W') || (i_Key == 'w'))
					{

						if (b_CounterRange == PCI1710_16BIT_COUNTER)
						{
							do
							{
								printf("\n Enter the value to write on the first counter :");
								scanf_s("%lu",&dw_WriteValue);
							}
							while (dw_WriteValue > 0xFFFF);

							i_ReturnValue = i_PCI1710_Write16BitCounterValue(h_BoardHandle,b_ModuleNbr,0,dw_WriteValue);
							if (i_ReturnValue == 0)
								printf("\n i_PCI1710_Write32BitCounterValue first counter OK");
							else
								printf("\n i_PCI1710_Write32BitCounterValue first counter Error : %d", i_ReturnValue);


							do
							{
								printf("\n Enter the value to write on the second counter :");
								scanf_s("%lu",&dw_WriteValue);
							}
							while (dw_WriteValue > 0xFFFF);

							i_ReturnValue = i_PCI1710_Write16BitCounterValue(h_BoardHandle,b_ModuleNbr,1,dw_WriteValue);
							if (i_ReturnValue == 0)
								printf("\n i_PCI1710_Write32BitCounterValue second counter OK");
							else
								printf("\n i_PCI1710_Write32BitCounterValue second counter Error : %d", i_ReturnValue);
						}								
						else
						{
							printf("\n Enter the value to write on the counter :");
							scanf_s("%lu", &dw_WriteValue);

							i_ReturnValue = i_PCI1710_Write32BitCounterValue(h_BoardHandle,b_ModuleNbr,dw_WriteValue);
							if (i_ReturnValue == 0)
								printf("\n i_PCI1710_Write32BitCounterValue OK");
							else
								printf("\n i_PCI1710_Write32BitCounterValue Error : %d", i_ReturnValue);
						}
					}

					/* Test if ESC */
					if (i_Key == 27)
						break;
				}
			}
		}
		else
		{
			printf("\n i_PCI1710_InitCounter Error : %d", i_ReturnValue);
		}
		i_ReturnValue = i_PCI1710_CloseBoard(h_BoardHandle);
	}

	printf("\n Press any key to exit the sample ...");
	_getch();

	return 0;
}

