#include "stdafx.h"


void GetLowHighTiming(BYTE b_Unit, ULONG *ul_Low, ULONG *ul_High)
{
	DWORD dw_Tmp = 0;

	if (b_Unit == 0)
	{
		printf("Select a low timing value (150 to 4294967295): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 150) || (dw_Tmp > 4294967295));
		*ul_Low = (ULONG)dw_Tmp;

		printf("Select a high timing value (150 to 4294967295): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 150) || (dw_Tmp > 4294967295));
		*ul_High = (ULONG)dw_Tmp;
	}
	else if (b_Unit == 1)
	{
		printf("Select a low timing value (1 to 429496729): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429496729));
		*ul_Low = (ULONG)dw_Tmp;

		printf("Select a high timing value (1 to 429496729): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429496729));
		*ul_High = (ULONG)dw_Tmp;
	}
	else if (b_Unit == 2)
	{
		printf("Select a low timing value (1 to 429496): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429496));
		*ul_Low = (ULONG)dw_Tmp;

		printf("Select a high timing value (1 to 429496): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429496));
		*ul_High = (ULONG)dw_Tmp;
	}
	else if (b_Unit == 3)
	{
		printf("Select a low timing value (1 to 429): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429));
		*ul_Low = (ULONG)dw_Tmp;

		printf("Select a high timing value (1 to 429): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429));
		*ul_High = (ULONG)dw_Tmp;
	}
	else if (b_Unit == 4)
	{
		printf("Select a low timing value (1 to 7): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 7));
		*ul_Low = (ULONG)dw_Tmp;

		printf("Select a high timing value (1 to 7): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 7));
		*ul_High = (ULONG)dw_Tmp;
	}
}


int _tmain(int argc, _TCHAR* argv[])
{
	int i_ReturnValue = 0;
	HANDLE h_BoardHandle = NULL;

	BYTE b_Module = 0;
	BYTE b_PWMNbr = 0;
	/* InitPWM parameters */
	BYTE b_TimingUnit = 0;
	ULONG ul_LowTiming = 0;
	ULONG ul_HighTiming = 0;
	ULONG ul_RealLowTiming = 0;
	ULONG ul_RealHighTiming = 0;
	/* EnablePWM parameters */
	BYTE b_StartLevel = 0;
	BYTE b_StopMode = 0;
	BYTE b_StopLevel = 0;
	BYTE b_ExternGate = 0;
	BYTE b_InterruptFlag = 0;
	BYTE i = 0;
	/* GetPWMIntitialisation parameters */
	BYTE b_GetTimingUnit = 0;
	ULONG ul_GetLowTiming = 0;
	ULONG ul_GetHighTiming = 0;
	BYTE b_GetStartLevel = 0;
	BYTE b_GetStopMode = 0;
	BYTE b_GetStopLevel = 0;
	BYTE b_GetExternGate = 0;
	BYTE b_GetInterruptFlag = 0;
	BYTE b_GetPWMEnable = 0;
	/* GetPWMStatus parameters */
	BYTE b_GetOutputStatus = 0;
	BYTE b_GetExternGateStatus = 0;
	BYTE b_GetOutputStatus0 = 0;
	BYTE b_GetExternGateStatus0 = 0;
	BYTE b_GetOutputStatus1 = 0;
	BYTE b_GetExternGateStatus1 = 0;

	DWORD dw_Temp = 0;

	UNREFERENCED_PARAMETER(argc);
	UNREFERENCED_PARAMETER(argv);

	printf("**********************************************\n");
	printf("**** GetPWMInitialisationAndStatus sample ****\n");
	printf("**********************************************\n\n");

	/* Open a board */
	printf("\n\n");
	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);
	if (i_ReturnValue != 0)
	{
		printf("\nError %d in i_Utils_OpenBoard\n\n", i_ReturnValue);
		goto end;
	}
	// Get the number of the module to use
	printf("Select the module (0 to 3): ");
	do
	{
		scanf_s("%lu", &dw_Temp);
	} while(dw_Temp > 3);
	b_Module = (BYTE)dw_Temp;

	// Get the PWM(s) to use
	printf("Select the PWM:\n");
	printf("\t0: PWM 0\n\t1: PWM 1\n\t2: both PWMs\n");
	do
	{
		scanf_s("%lu", &dw_Temp);
	} while(dw_Temp > 2);
	b_PWMNbr = (BYTE)dw_Temp;

	// Case of the use of only one PWM
	if ((b_PWMNbr == 0) || (b_PWMNbr == 1))
	{
		// Get the timing unit to use
		printf("Select a timing unit:\n");
		printf("\t0: ns\n\t1: us\n\t2: ms\n\t3: sec\n\t4: min\n");
		do
		{
			scanf_s("%lu", &dw_Temp);
		} while (dw_Temp > 4);
		b_TimingUnit = (BYTE)dw_Temp;

		// Get the low and high timing to use
		GetLowHighTiming(b_TimingUnit, &ul_LowTiming, &ul_HighTiming);

		// Initialises the PWM
		i_ReturnValue = i_PCI1710_InitPWM(h_BoardHandle, b_Module, b_PWMNbr, b_TimingUnit, ul_LowTiming, ul_HighTiming, &ul_RealLowTiming, &ul_RealHighTiming);
			if (i_ReturnValue != 0)
		{
			printf("\nError %d in i_PCI1710_InitPWM\n\n", i_ReturnValue);
			goto end;
		}
		else
			printf("\ni_PCI1710_InitPWM OK\n\n\n");

		printf("\nThe low timing value which will be really used for the PWM %d is %lu\n", b_PWMNbr, ul_RealLowTiming);
		printf("The high timing value which will be really used for the PWM %d is %lu\n\n", b_PWMNbr, ul_RealHighTiming);

		// Gets the start level to use
		printf("Select a start level:\n");
		printf("\t0: the period will start with a low level\n\t1: the period will start with a high level\n");
		do
		{
			scanf_s("%lu", &dw_Temp);
		} while (dw_Temp > 1);
		b_StartLevel = (BYTE) dw_Temp;
		printf("\n");

		// Gets the stop mode to use
		printf("Select a stop mode:\n");
		printf("\t0: 0: the PWM will be stopped directly after the call of the i_PCI1710_DisablePWM function\n\t1: the PWM will be stopped after the end of the last period after the call of the disable function\n");
		do
		{
			scanf_s("%lu", &dw_Temp);
		} while (dw_Temp > 1);
		b_StopMode = (BYTE) dw_Temp;
		printf("\n");

		// Gets the stop level to use
		printf("Select a stop level\n");
		printf("\t0: the output signal will keep its level when the PWM will be disabled\n\t1: it will be stopped at low after the PWM will be disabled\n\t2: it will be stopped at high after the PWM will be disabled\n");
		do
		{
			scanf_s("%lu", &dw_Temp);
		} while (dw_Temp > 2);
		b_StopLevel = (BYTE) dw_Temp;
		printf("\n");

		// Gets the extern gate
		printf("Do you want to use the extern gate:\n");
		printf("\t0: no\n\t1: yes\n");
		do
		{
			scanf_s("%lu", &dw_Temp);
		} while (dw_Temp > 1);
		b_ExternGate = (BYTE) dw_Temp;
		printf("\n");

		// Gets the interrupt flag
		printf("Do you want to enable the interrupts:\n");
		printf("\t0: no\n\t1: yes (an interrupt will be generated after each end of period)\n");
		do
		{
			scanf_s("%lu", &dw_Temp);
		} while (dw_Temp > 1);
		b_InterruptFlag = (BYTE) dw_Temp;
		printf("\n");

		// Enables the PWM
		i_ReturnValue = i_PCI1710_EnablePWM(h_BoardHandle, b_Module, b_PWMNbr, b_StartLevel, b_StopMode, b_StopLevel, b_ExternGate, b_InterruptFlag);
		if (i_ReturnValue != 0)
		{
			printf("\nError %d in i_PCI1710_EnablePWM\n\n", i_ReturnValue);
			goto end;
		}
		else
			printf("\ni_PCI1710_EnablePWM OK\n\n");
	}
	else if (b_PWMNbr == 2)
	{
		for (i = 0; i < 2; i++)
		{
			printf("\n**********************************************\n");
			printf("****               PWM %d:                ****\n", i);
			printf("**********************************************\n\n");

			// Gets the timing unit to use
			printf("Select a timing unit:\n");
			printf("\t0: ns\n\t1: us\n\t2: ms\n\t3: sec\n\t4: min\n");
			do
			{
				scanf_s("%lu", &dw_Temp);
			} while (dw_Temp > 4);
			b_TimingUnit = (BYTE)dw_Temp;

			// Gets the low and high timing to use
			GetLowHighTiming(b_TimingUnit, &ul_LowTiming, &ul_HighTiming);

			// Initialises the PWM
			i_ReturnValue = i_PCI1710_InitPWM(h_BoardHandle, b_Module, i, b_TimingUnit, ul_LowTiming, ul_HighTiming, &ul_RealLowTiming, &ul_RealHighTiming);
			if (i_ReturnValue != 0)
			{
				printf("\nError %d in i_PCI1710_InitPWM\n\n", i_ReturnValue);
				goto end;
			}
			else
				printf("\ni_PCI1710_InitPWM OK\n\n");

			printf("\nThe low timing value which will be really used for the PWM %d is %lu\n", i, ul_RealLowTiming);
			printf("The high timing value which will be really used for the PWM %d is %lu\n\n", i, ul_RealHighTiming);

			// Gets the start level to use
			printf("Select a start level:\n");
			printf("\t0: the period will start with a low level\n\t1: the period will start with a high level\n");
			do
			{
				scanf_s("%lu", &dw_Temp);
			} while (dw_Temp > 1);
			b_StartLevel = (BYTE) dw_Temp;

			// Gets the stop mode to use
			printf("Select a stop mode:\n");
			printf("\t0: 0: the PWM will be stopped directly after the call of the i_PCI1710_DisablePWM function\n\t1: the PWM will be stopped after the end of the last period after the call of the disable function\n");
			do
			{
				scanf_s("%lu", &dw_Temp);
			} while (dw_Temp > 1);
			b_StopMode = (BYTE) dw_Temp;

			// Gets the stop level to use
			printf("Select a stop level\n");
			printf("\t0: the output signal will keep its level when the PWM will be disabled\n\t1: it will be stopped at low after the PWM will be disabled\n\t2: it will be stopped at high after the PWM will be disabled\n");
			do
			{
				scanf_s("%lu", &dw_Temp);
			} while (dw_Temp > 2);
			b_StopLevel = (BYTE) dw_Temp;

			// Gets the extern gate
			printf("Do you want to use the extern gate:\n");
			printf("\t0: no\n\t1: yes\n");
			do
			{
				scanf_s("%lu", &dw_Temp);
			} while (dw_Temp > 1);
			b_ExternGate = (BYTE) dw_Temp;
			printf("\n");

			// Gets the interrupt flag
			printf("Do you want to enable the interrupts:\n");
			printf("\t0: no\n\t1: yes (an interrupt will be generated after each end of period)\n");
			do
			{
				scanf_s("%lu", &dw_Temp);
			} while (dw_Temp > 1);
			b_InterruptFlag = (BYTE) dw_Temp;
			printf("\n");

			// Enables the PWMs
			i_ReturnValue = i_PCI1710_EnablePWM(h_BoardHandle, b_Module, i, b_StartLevel, b_StopMode, b_StopLevel, b_ExternGate, b_InterruptFlag);
			if (i_ReturnValue != 0)
			{
				printf("\nError %d in i_PCI1710_EnablePWM\n\n", i_ReturnValue);
				goto end;
			}
			else
				printf("\ni_PCI1710_EnablePWM OK\n\n");
		}
	}
	if ((b_PWMNbr == 0) || (b_PWMNbr == 1))
	{		
		i_ReturnValue = i_PCI1710_GetPWMInitialisation(h_BoardHandle, b_Module, b_PWMNbr, &b_GetTimingUnit, &ul_GetLowTiming, &ul_GetHighTiming, &b_GetStartLevel, &b_GetStopMode, &b_GetStopLevel, &b_GetExternGate, &b_GetInterruptFlag, &b_GetPWMEnable);
		if (i_ReturnValue != 0)
		{
			printf("\nError %d in i_PCI1710_GetPWMInitialisation\n\n", i_ReturnValue);
			goto cleanup;
		}
		printf("PWM %d initialisation:\n", b_PWMNbr);
		printf("Timing unit %d\nLow timing: %lu\nHigh timing: %lu\nStart level: %d\nStop mode: %d\nStop level: %d\nExtern gate: %d\nInterrupt enable: %d\nPWM enable: %d\n\n", b_GetTimingUnit, ul_GetLowTiming, ul_GetHighTiming, b_GetStartLevel, b_GetStopMode, b_GetStopLevel, b_GetExternGate, b_GetInterruptFlag, b_GetPWMEnable);

		printf("\n\nPWM %d status:  (Press any key to stop the sample)\n", b_PWMNbr);
		for(;;)
		{
			i_ReturnValue = i_PCI1710_GetPWMStatus(h_BoardHandle, b_Module, b_PWMNbr, &b_GetOutputStatus, &b_GetExternGateStatus);
			if (i_ReturnValue != 0)
			{
				printf("\nError %d in i_PCI1710_GetPWMStatus\n\n", i_ReturnValue);
				goto cleanup;
			}
			printf("\rOutput status: %d    Extern gate status: %d", b_GetOutputStatus, b_GetExternGateStatus);

			if (_kbhit())
				break;
		}
	}
	else if (b_PWMNbr == 2)
	{
		for(i = 0; i < 2; i++)
		{
			i_ReturnValue = i_PCI1710_GetPWMInitialisation(h_BoardHandle, b_Module, i, &b_GetTimingUnit, &ul_GetLowTiming, &ul_GetHighTiming, &b_GetStartLevel, &b_GetStopMode, &b_GetStopLevel, &b_GetExternGate, &b_GetInterruptFlag, &b_GetPWMEnable);
			if (i_ReturnValue != 0)
			{
				printf("\nError %d in i_PCI1710_GetPWMInitialisation\n\n", i_ReturnValue);
				goto cleanup;
			}
			printf("\n\nPWM %d initialisation:\n", i);
			printf("Timing unit %d\nLow timing: %lu\nHigh timing: %lu\nStart level: %d\nStop mode: %d\nStop level: %d\nExtern gate: %d\nInterrupt enable: %d\nPWM enable: %d\n\n", b_GetTimingUnit, ul_GetLowTiming, ul_GetHighTiming, b_GetStartLevel, b_GetStopMode, b_GetStopLevel, b_GetExternGate, b_GetInterruptFlag, b_GetPWMEnable);
		}
		
		printf("\n\nPWMs status:  (Press any key to stop the sample)\n");

		for (;;)
		{
			i_ReturnValue = i_PCI1710_GetPWMStatus(h_BoardHandle, b_Module, 0, &b_GetOutputStatus0, &b_GetExternGateStatus0);
			if (i_ReturnValue != 0)
			{
				printf("\nError %d in i_PCI1710_GetPWMStatus\n\n", i_ReturnValue);
				goto cleanup;
			}
			i_ReturnValue = i_PCI1710_GetPWMStatus(h_BoardHandle, b_Module, 1, &b_GetOutputStatus1, &b_GetExternGateStatus1);
			if (i_ReturnValue != 0)
			{
				printf("\nError %d in i_PCI1710_GetPWMStatus\n\n", i_ReturnValue);
				goto cleanup;
			}
			printf("PWM 0: Output status: %d Extern gate status: %d \nPWM 1: Output status: %d Extern gate status: %d\n\n", b_GetOutputStatus0, b_GetExternGateStatus0, b_GetOutputStatus1, b_GetExternGateStatus1);
			Sleep(100);

			if (_kbhit())
				break;
		}
	}

cleanup:
	if ((b_PWMNbr == 0) || (b_PWMNbr == 1))
	{
		i_ReturnValue = i_PCI1710_DisablePWM(h_BoardHandle, b_Module, b_PWMNbr);
		if (i_ReturnValue != 0)
			printf("\nError %d in i_PCI1710_DisablePWM\n\n", i_ReturnValue);
		else
			printf("\ni_PCI1710_DisablePWM OK\n\n");
	}
	else if (b_PWMNbr == 2)
	{
		for (i = 0; i < 2; i++)
		{
			i_ReturnValue = i_PCI1710_DisablePWM(h_BoardHandle, b_Module, i);
			if (i_ReturnValue != 0)
				printf("\nError %d in i_PCI1710_DisablePWM\n\n", i_ReturnValue);
			else
				printf("\ni_PCI1710_DisablePWM OK\n\n");
		}
	}
	_getch();

end:
	i_ReturnValue = i_PCI1710_CloseBoard(h_BoardHandle);
    if (i_ReturnValue != 0)
		printf("\nError %d in i_PCI1710_CloseBoard\n\n", i_ReturnValue);
    else
		printf("\ni_PCI1710_CloseBoard OK\n\n");

    printf("Press any key to exit the sample...\n");
    _getch();

    return 0;
}
