#include "stdafx.h"


int _tmain(int argc, _TCHAR* argv[])
{
	int i_ReturnValue = 0;
	HANDLE h_BoardHandle = NULL;

	BYTE b_Module = 0;
	BYTE b_NumberOfInputs = 0;
	BYTE b_InputChannel = 0;
	BYTE b_ChannelStatus = 0;
	DWORD dw_Temp = 0;

	UNREFERENCED_PARAMETER(argc);
	UNREFERENCED_PARAMETER(argv);

	printf("**********************************************\n");
	printf("****     ReadPWMDigitalInputs sample      ****\n");
	printf("**********************************************\n\n");

	/* Open a board */
	printf("\n\n");
	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);
	if (i_ReturnValue != 0)
	{
		printf("\nError %d in i_Utils_OpenBoard\n\n", i_ReturnValue);
		goto end;
	}
	// Get the number of the module to use
	printf("Select the module (0 to 3): ");
	do
	{
		scanf_s("%lu", &dw_Temp);
	} while(dw_Temp > 3);
	b_Module = (BYTE)dw_Temp;
	printf("\n");

	printf("Read one digital input or all the digital inputs:\n");
	printf("\t0: one digital input\n\t1: all the digital inputs\n");
	do
	{
		scanf_s("%lu", &dw_Temp);
	} while (dw_Temp > 1);
	b_NumberOfInputs = (BYTE)dw_Temp;

	if (b_NumberOfInputs == 0)
	{
		printf("Select the channel to read:\n");
		printf("\t0: channel E\n\t1: channel F\n\t2: channel G\n");
		do
		{
			scanf_s("%lu", &dw_Temp);
		} while (dw_Temp > 2);
		b_InputChannel = (BYTE)dw_Temp;
	}

	printf("\n\nPress any key to stop the sample\n\n");
	for(;;)
	{
		if (b_NumberOfInputs == 0)
		{
			i_ReturnValue = i_PCI1710_ReadPWM1DigitalInput(h_BoardHandle, b_Module, b_InputChannel, &b_ChannelStatus);
			if (i_ReturnValue != 0)
			{
				printf("\nError %d in i_PCI1710_ReadPWM1DigitalInput\n\n", i_ReturnValue);
				goto end;
			}
			printf("\rInput status: %d", b_ChannelStatus);
		}
		else
		{
			i_ReturnValue = i_PCI1710_ReadPWMAllDigitalInputs(h_BoardHandle, b_Module, &b_ChannelStatus);
			if (i_ReturnValue != 0)
			{
				printf("\nError %d in i_PCI1710_ReadPWMAllDigitalInputs\n\n", i_ReturnValue);
				goto end;
			}
			printf("\rInput E status: %d      Input F status: %d      Input G status: %d", (b_ChannelStatus & 1), ((b_ChannelStatus >> 1) & 1), ((b_ChannelStatus >> 2) & 1));
		}
		if (_kbhit())
			break;
	}


end:
	i_ReturnValue = i_PCI1710_CloseBoard(h_BoardHandle);
    if (i_ReturnValue != 0)
		printf("\nError %d in i_PCI1710_CloseBoard\n\n", i_ReturnValue);
    else
		printf("\ni_PCI1710_CloseBoard OK\n\n");

    printf("Press any key to exit the sample...\n");
    _getch();

    return 0;
}
