// ReadTTLIOAllPortValue.cpp : Defines the entry point for the console application.
//



#include "stdafx.h"




int _tmain(int argc, _TCHAR* argv[])
{
	int i_ReturnValue = 0;
	HANDLE h_BoardHandle;
	unsigned char b_TestStatus = 0;
	BYTE b_Module = 0;
	BYTE b_PortMode[4] = {0, 0, 0, 0}; //Set all the mode to input
	DWORD dw_Temp = 0;
	DWORD dw_ReadValue = 0;

	printf("Test read all TTL input on all ports test sample");
	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);

	if(i_ReturnValue ==0)
	{
		/*Initialization of the parameters*/

		/*Set the module in which to read*/
		do
		{
			_flushall();
			printf("\nSelect the module (0 to 3) : ");
			scanf_s("%d", &dw_Temp);
		}
		while(dw_Temp > 3);

		b_Module = (BYTE)dw_Temp;

		/*Initialize all the port to input*/
		i_ReturnValue = i_PCI1710_InitTTLIODirection(h_BoardHandle,
													b_Module,
													b_PortMode[0],
													b_PortMode[1],
													b_PortMode[2],
													b_PortMode[3]);

		if(i_ReturnValue == 0)
		{
			printf("\ni_PCI1710_InitTTLIODirection Ok");
			printf("\nPress ESC to quit");
			for(;;)
			{
				/*Test if ESC pressed*/
				if(_kbhit())
				{
					if(_getch() == 27)
						break;
					_flushall();
				}

				i_ReturnValue = i_PCI1710_ReadTTLIOAllPortValue(h_BoardHandle,
																b_Module,
																&dw_ReadValue);

				/*if an error occured*/
				if(i_ReturnValue != 0)
				{
					printf("\ni_PCI1710_ReadTTLIOAllPortValue Error %d", i_ReturnValue);
					break;
				}

				/*Display the result*/
				printf("\nStatus of the inputs of the module %d : 0x%x",
						b_Module,
						dw_ReadValue);

				Sleep(200);
			}
		}
		else
		{
			printf("\ni_PCI1710_InitTTLIODirection Error %d", i_ReturnValue);
		}
		
		i_ReturnValue = i_PCI1710_CloseBoard(h_BoardHandle);
	}

	printf("\n Press any key to exit the sample ...");
	_getch();
	


	return 0;
}

