// ReadTTLIOChannelValue.cpp : Defines the entry point for the console application.
//



#include "stdafx.h"




int _tmain(int argc, _TCHAR* argv[])
{
	int i_ReturnValue = 0;
	HANDLE h_BoardHandle;
	unsigned char b_TestStatus = 0;
	BYTE b_Module = 0;
	BYTE b_PortMode[4] = {1, 1, 1, 1}; //Set all the mode to output
	BYTE b_Channel = 0;
	DWORD dw_Temp = 0;
	BYTE b_ReadValue = 0;

	printf("Test set one TTL input channel test sample");
	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);

	if(i_ReturnValue ==0)
	{
		/*Initialization of the parameters*/

		/*Set the module in which to read*/
		do
		{
			_flushall();
			printf("\nSelect the module (0 to 3) : ");
			scanf_s("%d", &dw_Temp);
		}
		while(dw_Temp > 3);

		b_Module = (BYTE)dw_Temp;

		/*Set the channel to read*/
		do
		{
			_flushall();
			printf("\nSelect the channel (0 to 25) :"
				"\n\t0 -> PD0"
				"\n\t1 -> PD1"
				"\n\t2 to 9 -> PA0 to PA7"
				"\n\t10 to 17 -> PB0 to PB7"
				"\n\t18 to 25 -> PC0 to PC7");

			scanf_s("%d", &dw_Temp);
		}
		while(dw_Temp > 25);

		b_Channel = (BYTE)dw_Temp;

		/*Initialize all the port to output*/
		i_ReturnValue = i_PCI1710_InitTTLIODirection(h_BoardHandle,
													b_Module,
													b_PortMode[0],
													b_PortMode[1],
													b_PortMode[2],
													b_PortMode[3]);

		if(i_ReturnValue == 0)
		{
			printf("\ni_PCI1710_InitTTLIODirection Ok");
			
			i_ReturnValue = i_PCI1710_SetTTLIOChlOn(h_BoardHandle, b_Module, b_Channel);

			if(i_ReturnValue == 0)
			{
				printf("\n i_PCI1710_SetTTLIOChlOn Ok");
				printf("\nPress any key to quit");
				_flushall();
				/*Wait for a key to be pressed*/
				while(!_getch());

				i_ReturnValue = i_PCI1710_SetTTLIOChlOff(h_BoardHandle, b_Module, b_Channel);
			}
			else
			{
				printf("\n i_PCI1710_SetTTLIOChlOn Error %d", i_ReturnValue);
			}

		}
		else
		{
			printf("\ni_PCI1710_InitTTLIODirection Error %d", i_ReturnValue);
		}
		
		i_ReturnValue = i_PCI1710_CloseBoard(h_BoardHandle);
	}

	printf("\n Press any key to exit the sample ...");
	_getch();
	


	return 0;
}

