function [returnValue] = i_PCI1710_mexDisableLatchInterrupt(deviceHandle, moduleNumber)
% i_PCI1710_mexDisableLatchInterrupt
%
% Disables the latch interrupt of the selected module. Each hardware latched generates an interrupt.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexDisableLatchInterrupt(deviceHandle, moduleNumber);
