function [returnValue] = i_PCI1710_mexEnableCompareLogic(deviceHandle, moduleNumber)
% i_PCI1710_mexEnableCompareLogic
%
% Enables the 32-bit compare logic. An interrupt is generated as soon as the counter has reached the compare value.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexEnableCompareLogic(deviceHandle, moduleNumber);
