function [returnValue] = i_PCI1710_mexEnableTimer(deviceHandle, moduleNumber, timerNumber, interruptEnable)
% i_PCI1710_mexEnableTimer
%
% Enables and starts a 82c54 timer.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    timerNumber               "Number of the timer (from 0 to 2)"
%    interruptEnable           "Enable interrupt flag (0: interrupt disabled, 1: interrupt enabled)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexEnableTimer(deviceHandle, moduleNumber, timerNumber, interruptEnable);
