function [returnValue, CBStatusCounter0, CBStatusCounter1] = i_PCI1710_mexGet16BitCBStatus(deviceHandle, moduleNumber)
% i_PCI1710_mexGet16BitCBStatus
%
% Returns the CB status of the two 16-bit counters.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    CBStatusCounter0          "CB status of the 16-bit counter 0"
%    CBStatusCounter1          "CB status of the 16-bit counter 1"
%
%Example:
% // Add an example here

[returnValue, CBStatusCounter0, CBStatusCounter1] = i_PCI1710_mexGet16BitCBStatus(deviceHandle, moduleNumber);
