function [returnValue, CBStatus] = i_PCI1710_mexGetCBStatus(deviceHandle, moduleNumber)
% i_PCI1710_mexGetCBStatus
%
% Returns the CB status.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    CBStatus                  "CB status (0: no counter overflow, 1: counter overflow)"
%
%Example:
% // Add an example here

[returnValue, CBStatus] = i_PCI1710_mexGetCBStatus(deviceHandle, moduleNumber);
