function [returnValue, ETMStatus] = i_PCI1710_mexGetETMProgressStatus(deviceHandle, moduleNumber, ETM)
% i_PCI1710_mexGetETMProgressStatus
%
% Returns the ETM state of the selected module
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    ETM                       "Selection of the ETM counter (0 or 1)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    ETMStatus                 "The ETM state. (0: No start trigger arrived, 1: A start trigger has arrived, 2: A stop trigger has arrived, 3: Transition has been realised)"
%
%Example:
% // Add an example here

[returnValue, ETMStatus] = i_PCI1710_mexGetETMProgressStatus(deviceHandle, moduleNumber, ETM);
