function [returnValue, UDStatus] = i_PCI1710_mexGetInterruptUDLatchedStatus(deviceHandle, moduleNumber)
% i_PCI1710_mexGetInterruptUDLatchedStatus
%
% Returns the latched status of the counter runout, after an interrupt is generated.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    UDStatus                  "UD status (0: counter runout in the selected mode downwards, 1: counter runout in the selected mode upwards, 2: there is no index interrupt)"
%
%Example:
% // Add an example here

[returnValue, UDStatus] = i_PCI1710_mexGetInterruptUDLatchedStatus(deviceHandle, moduleNumber);
