
function [returnValue, numberOfBoards] = i_PCI1710_mexGetNumberOfBoards()
% i_PCI1710_mexGetNumberOfBoards
%
% Returns the number of xPCI1710 boards present in the system. The function fills the value pointed by pb_NbrOfBoards with the number of boards present.
%
% Input parameters:
%    No input parameters
%
% Output parmeters:
%    returnValue             "Value returned by the function"
%    numberOfBoards          "Version. For example: 0x01011211 -> Version 1.01, December 2011"
%
% Example:
% // Add an example here

[returnValue, numberOfBoards] = i_PCI1710_mexGetNumberOfBoards();
