function [returnValue, referenceStatus] = i_PCI1710_mexGetReferenceStatus(deviceHandle, moduleNumber)
% i_PCI1710_mexGetReferenceStatus
%
% Returns the reference status.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    referenceStatus           "Reference status (0: no reference, 1: a reference was enabled)"
%
%Example:
% // Add an example here

[returnValue, referenceStatus] = i_PCI1710_mexGetReferenceStatus(deviceHandle, moduleNumber);
