function [returnValue, status] = i_PCI1710_mexGetSSIAcquisitionStatus(deviceHandle, moduleNumber)
% i_PCI1710_mexGetSSIAcquisitionStatus
%
% Gets the status of the SSI acquisition.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    status                    "Status of the SSI acquisition (0: finished, 1: running)"
%
%Example:
% // Add an example here

[returnValue, status] = i_PCI1710_mexGetSSIAcquisitionStatus(deviceHandle, moduleNumber);
