function [returnValue, valueArray] = i_PCI1710_mexGetSSIRawDataValue(deviceHandle, moduleNumber, SSINumber, arraySize)
% i_PCI1710_mexGetSSIRawDataValue
%
% Gets the raw value of a given SSI counter.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    SSINumber                 "Number of the counter (from 0 to 2)"
%    arraySize                 "Size of the array"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    valueArray                "Array of the raw data"
%
%Example:
% // Add an example here

[returnValue, valueArray] = i_PCI1710_mexGetSSIRawDataValue(deviceHandle, moduleNumber, SSINumber, arraySize);
