function [returnValue, position, turn] = i_PCI1710_mexGetSSIValue(deviceHandle, moduleNumber, SSINumber)
% i_PCI1710_mexGetSSIValue
%
% Gets the value of a given counter.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    SSINumber                 "Number of the counter (from 0 to 2)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    position                  "Position in the current turn"
%    turn                      "Current turn number"
%
%Example:
% // Add an example here

[returnValue, position, turn] = i_PCI1710_mexGetSSIValue(deviceHandle, moduleNumber, SSINumber);
