function [returnValue, outputLevel] = i_PCI1710_mexGetTimerOutputLevel(deviceHandle, moduleNumber, timerNumber)
% i_PCI1710_mexGetTimerOutputLevel
%
% Returns the output level of a 82c54 timer.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    timerNumber               "Number of the timer (from 0 to 2)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    outputLevel               "Level of the output (0: low, 1: high)"
%
%Example:
% // Add an example here

[returnValue, outputLevel] = i_PCI1710_mexGetTimerOutputLevel(deviceHandle, moduleNumber, timerNumber);
