function [returnValue, timerStatus] = i_PCI1710_mexGetTimerProgressStatus(deviceHandle, moduleNumber, timerNumber)
% i_PCI1710_mexGetTimerProgressStatus
%
% Return the status of a given 82c54 timer.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    timerNumber               "Number of the timer (from 0 to 2)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    timerStatus               "Status of the timer (0: running, 1: stopped)"
%
%Example:
% // Add an example here

[returnValue, timerStatus] = i_PCI1710_mexGetTimerProgressStatus(deviceHandle, moduleNumber, timerNumber);
