function [returnValue, UDStatus] = i_PCI1710_mexGetUDStatus(deviceHandle, moduleNumber)
% i_PCI1710_mexGetUDStatus
%
% Gets the UD status of the counter runout.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    UDStatus                  "UD status (0: counter runout in the selected mode, 1: counter runout in the selected mode upwards"
%
%Example:
% // Add an example here

[returnValue, UDStatus] = i_PCI1710_mexGetUDStatus(deviceHandle, moduleNumber);
