function [returnValue] = i_PCI1710_mexInitExternalStrobe(deviceHandle, moduleNumber, externalStrobe, externalStrobeLevel)
% i_PCI1710_mexInitExternalStrobe
%
% Initializes the external pulse level for the selected module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    externalStrobe            "Selection of the external pulse (strobe) (0: external pulse A, 1: external pulse B)"
%    externalStrobeLevel       "Level of the external pulse (0: external latch is generated at '0', 1: external latch is generated at '1' (standard configuration))"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexInitExternalStrobe(deviceHandle, moduleNumber, externalStrobe, externalStrobeLevel);
