function [returnValue] = i_PCI1710_mexInitTTLIODirection(deviceHandle, moduleNumber, portAMode, portBMode, portCMode, portDMode)
% i_PCI1710_mexInitTTLIODirection
%
% Permits the configure on a given module the TTL I/O in input or output mode.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    portAMode                 "Mode of the port A (0: input, 1: output)"
%    portBMode                 "Mode of the port B (0: input, 1: output)"
%    portCMode                 "Mode of the port C (0: input, 1: output)"
%    portDMode                 "Mode of the port D (0: input, 1: output)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexInitTTLIODirection(deviceHandle, moduleNumber, portAMode, portBMode, portCMode, portDMode);
