function [returnValue, position, turn] = i_PCI1710_mexRead1SSIValue(deviceHandle, moduleNumber, SSINbr)
% i_PCI1710_mexRead1SSIValue
%
% Reads one value of a given SSI counter.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    SSINbr                    "Number of the SSI counter"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    position                  "Position in the current turn"
%    turn                      "Current turn number"
%
%Example:
% // Add an example here

[returnValue, position, turn] = i_PCI1710_mexRead1SSIValue(deviceHandle, moduleNumber, SSINbr);
