function [returnValue, valueArray] = i_PCI1710_mexReadAllSSIRawDataValue(deviceHandle, moduleNumber, arraySize)
% i_PCI1710_mexReadAllSSIRawDataValue
%
% Reads the raw values of all the SSI counters of a given module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    arraySize                 "Size of the array"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    valueArray                "Array of the raw data"
%
%Example:
% // Add an example here

[returnValue, valueArray] = i_PCI1710_mexReadAllSSIRawDataValue(deviceHandle, moduleNumber, arraySize);
