function [returnValue, position, turn] = i_PCI1710_mexReadAllSSIValue(deviceHandle, moduleNumber)
% i_PCI1710_mexReadAllSSIValue
%
% Reads the values of all the SSI counters of a given module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    position                  "Position in the current turn (at least 3 * sizeof(DWORD) must be allocated)"
%    turn                      "Current turn number (at least 3 * sizeof(DWORD) must be allocated)"
%
%Example:
% // Add an example here

[returnValue, position, turn] = i_PCI1710_mexReadAllSSIValue(deviceHandle, moduleNumber);
