function [returnValue, timerValue] = i_PCI1710_mexReadAllTimerValue(deviceHandle, moduleNumber)
% i_PCI1710_mexReadAllTimerValue
%
% Reads the values of the three 82c54 timers.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    timerValue                "Array containing the the current values of the three timers. The array must be allocated before calling this function"
%
%Example:
% // Add an example here

[returnValue, timerValue] = i_PCI1710_mexReadAllTimerValue(deviceHandle, moduleNumber);
