function [returnValue, channelStatus] = i_PCI1710_mexReadPWM1DigitalInput(deviceHandle, modulNbr, inputChannel)
% i_PCI1710_mexReadPWM1DigitalInput
%
% Reads the status of the selected PWM digital input of the selected module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    modulNbr                  "Number of the module to configure (0 to 3)"
%    inputChannel              "Selected digital input (0 to 2)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    channelStatus             "Returns the digital inptut channel status (0: reset or 1: set)"
%
%Example:
% // Add an example here

[returnValue, channelStatus] = i_PCI1710_mexReadPWM1DigitalInput(deviceHandle, modulNbr, inputChannel);
