function [returnValue, value] = i_PCI1710_mexReadTTLIOChannelValue(deviceHandle, moduleNumber, portNbr, channelNbr)
% i_PCI1710_mexReadTTLIOChannelValue
%
% Reads the value of a given TTL digital input on a given port and module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    portNbr                   "Number of the port in which the input is located (0: port A, 1: port B, 2: port c, 3: port D)"
%    channelNbr                "Channel to read (from 0 to 7)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    value                     "Value of the channel"
%
%Example:
% // Add an example here

[returnValue, value] = i_PCI1710_mexReadTTLIOChannelValue(deviceHandle, moduleNumber, portNbr, channelNbr);
