function [returnValue, value] = i_PCI1710_mexReadTTLIOPortValue(deviceHandle, moduleNumber, portNbr)
% i_PCI1710_mexReadTTLIOPortValue
%
% Reads the value of the TTL digital inputs of a given port and module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    portNbr                   "Number of the port in which the input is located (0: port A, 1: port B, 2: port c, 3: port D)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    value                     "Status of the port"
%
%Example:
% // Add an example here

[returnValue, value] = i_PCI1710_mexReadTTLIOPortValue(deviceHandle, moduleNumber, portNbr);
