function [returnValue] = i_PCI1710_mexSetPortConfiguration(deviceHandle, moduleNumber, portAMode, portBMode)
% i_PCI1710_mexSetPortConfiguration
%
% Sets the mode of the digital inputs/outputs A and B.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    portAMode                 "Configuration channel A (0: input, 1: output)"
%    portBMode                 "Configuration channel B (0: input, 1: output)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexSetPortConfiguration(deviceHandle, moduleNumber, portAMode, portBMode);
