function [returnValue] = i_PCI1710_mexWrite16BitCounterValue(deviceHandle, moduleNumber, selectedCounter, writeValue)
% i_PCI1710_mexWrite16BitCounterValue
%
% Writes the 16-bit value into a 16-bit counter of the selected module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    selectedCounter           "Selection of the 16-bit counter (0 or 1)"
%    writeValue                "16-bit write value"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexWrite16BitCounterValue(deviceHandle, moduleNumber, selectedCounter, writeValue);
