function [returnValue] = i_PCI1710_mexWrite32BitCounterValue(deviceHandle, moduleNumber, writeValue)
% i_PCI1710_mexWrite32BitCounterValue
%
% Writes the 32-bit value into the counter of the selected module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    writeValue                "32-bit write value"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexWrite32BitCounterValue(deviceHandle, moduleNumber, writeValue);
