//CompareCorrection.cpp : Defines the entry point for the console application.
//


#include "stdafx.h"

DWORD dw_InterruptCpt = 0;
DWORD dw_IRQ_Status = 0;
DWORD dw_IRQ_InterruptSource = 0;
DWORD dw_IRQ_InterruptMask = 0;
DWORD dw_IRQ_LatchCounterValue = 0;

VOID WINAPI v_FunctionName (HANDLE   h_DeviceHandle,
							DWORD   dw_Status,
                            DWORD   dw_InterruptSource,
                            DWORD   dw_InterruptMask,
                            DWORD   dw_ArgsSize,
                            PDWORD pdw_Args)

{
	UNREFERENCED_PARAMETER(h_DeviceHandle);
	UNREFERENCED_PARAMETER(dw_ArgsSize);
	UNREFERENCED_PARAMETER(pdw_Args);

	dw_InterruptCpt = dw_InterruptCpt + 1;

	dw_IRQ_Status = dw_Status;
	dw_IRQ_InterruptSource = dw_InterruptSource;
	dw_IRQ_InterruptMask = dw_InterruptMask;
}

int _tmain(int argc, _TCHAR* argv[])
{
	int i_ReturnValue = 0;
	HANDLE h_BoardHandle;
	DWORD dw_Temp = 0;
	BYTE b_ModuleNbr = 0;
	DWORD dw_CompareValue = 0;
	DWORD dw_ModuloCompareEventValue = 0;
	DWORD dw_ModuloCompareCorrectionValue = 0;
	DWORD dw_OldInterruptCpt = 0;
	BYTE b_CounterRange = 0;
	BYTE b_FirstCounterModus = 0;
	BYTE b_FirstCounterOption = 0;
	BYTE b_SecondCounterModus = 0;
	BYTE b_SecondCounterOption = 0;
	BYTE b_Cpt = 0;
	BYTE pb_CounterModeSelection [4] = {PCI1710_DIRECT_MODE,PCI1710_SIMPLE_MODE,PCI1710_DOUBLE_MODE,PCI1710_QUADRUPLE_MODE};
	CHAR *pc_CounterModeSelection [4] = {"DIRECT_MODE","SIMPLE_MODE","DOUBLE_MODE","QUADRUPLE_MODE"};
	UNREFERENCED_PARAMETER(argc);
	UNREFERENCED_PARAMETER(argv);



	printf("Test Compare Correction Functionality");
	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);

	i_ReturnValue = i_PCI1710_SetBoardIntRoutine(h_BoardHandle,v_FunctionName);

	if(i_ReturnValue ==0 )
	{
		/* Get module number to test */
		do
		{
			printf("\nSelect the module You want to use (0 to 3):");
			scanf_s("%lu",&dw_Temp);
		}
		while (dw_Temp > 3);

		b_ModuleNbr = (BYTE) dw_Temp;

		do
		{
			printf("Select the module range you want to use (0: 1x32 bits or 1: 2x16bits): ");
			scanf_s("%lu", &dw_Temp);
		} while (dw_Temp > 1);
		b_CounterRange = (BYTE) dw_Temp << 4;

		if (b_CounterRange == PCI1710_16BIT_COUNTER)
		{
			printf("Select the counter mode for the first counter: \n");
			do
			{
				/* Get the counter mode */
				for (b_Cpt = 0; b_Cpt < 4; b_Cpt++)
				{
					printf("%hu. %s\n", b_Cpt, pc_CounterModeSelection[b_Cpt]);
				} 
				printf("Your selection: ");
				scanf_s("%lu", &dw_Temp);
			} while (dw_Temp > 3);
			b_FirstCounterModus = pb_CounterModeSelection[dw_Temp];

			printf("Select the first counter option: \n");

			if (b_FirstCounterModus == PCI1710_DIRECT_MODE)
			{
				do
				{
					printf("Decrement or increment (0: decrement, 1: increment): ");
					scanf_s("%lu", &dw_Temp);
				} while (dw_Temp > 1);
				b_FirstCounterOption = (BYTE)(PCI1710_INCREMENT * dw_Temp);
			}
			else
			{
				do
				{
					printf("Hysteresis off or on (0: off, 1: on): ");
					scanf_s("%lu", &dw_Temp);
				} while (dw_Temp > 1);
				b_FirstCounterOption = (BYTE)(PCI1710_HYSTERESIS_ON * dw_Temp);
			}

			printf("Select the counter mode for the second counter: \n");
			do
			{
				/* Get the counter mode */
				for (b_Cpt = 0; b_Cpt < 4; b_Cpt++)
				{
					printf("%hu. %s\n", b_Cpt, pc_CounterModeSelection[b_Cpt]);
				}
				printf("Your selection: ");
				scanf_s ("%lu", &dw_Temp);
			} while (dw_Temp > 3);
			b_SecondCounterModus = pb_CounterModeSelection[dw_Temp];

			printf("Select the second counter option: \n");

			if (b_SecondCounterModus == PCI1710_DIRECT_MODE)
			{
				do
				{
					printf("Decrement or increment (0: decrement, 1: increment): ");
					scanf_s("%lu", &dw_Temp);
				} while (dw_Temp > 1);
				b_SecondCounterOption = (BYTE)(PCI1710_INCREMENT * dw_Temp);
			}
			else
			{
				do
				{
					printf("Hysteresis off or on (0: off, 1: on): ");
					scanf_s("%lu", &dw_Temp);
				} while (dw_Temp > 1);
				b_SecondCounterOption = (BYTE)(PCI1710_HYSTERESIS_ON * dw_Temp);
			}
		}
		else
		{
			printf("Select the counter mode for the counter: \n");
			do
			{
				/* Get the counter mode */
				for (b_Cpt = 0; b_Cpt < 4; b_Cpt++)
				{
					printf("%hu. %s\n", b_Cpt, pc_CounterModeSelection[b_Cpt]);
				}
				printf("Your selection: ");
				scanf_s("%lu", &dw_Temp);
			} while (dw_Temp > 3);
			b_FirstCounterModus = pb_CounterModeSelection[dw_Temp];

			printf("Select the counter option: \n");

			if (b_FirstCounterModus == PCI1710_DIRECT_MODE)
			{
				do
				{
					printf("Decrement or increment (0: decrement, 1: increment): ");
					scanf_s("%lu", &dw_Temp);
				} while (dw_Temp > 1);
				b_FirstCounterOption = (BYTE)(PCI1710_INCREMENT * dw_Temp);
			}
			else
			{
				do
				{
					printf("Hysteresis off or on (0: off, 1: on): ");
					scanf_s("%lu", &dw_Temp);
				} while (dw_Temp > 1);
				b_FirstCounterOption = (BYTE)(PCI1710_HYSTERESIS_ON * dw_Temp);
			}

			b_SecondCounterModus = 0;
			b_SecondCounterOption = 0;
		}


		/* Initialise the incremental counter */
		i_ReturnValue = i_PCI1710_InitCounter(h_BoardHandle,
		                                      b_ModuleNbr,
		                                      b_CounterRange,
		                                      b_FirstCounterModus,
		                                      b_FirstCounterOption,
		                                      b_SecondCounterModus,
		                                      b_SecondCounterOption);
		if (i_ReturnValue != 0)
		{	
			printf("i_PCI1710_InitCounter error: %ul",i_ReturnValue);
			goto OnError;
		}
		else
		{
			printf("i_PCI1710_InitCounter OK");
		}

		printf ("\nEnter the Compare Value (1 to 65535 )");
		do
		{
			scanf_s("%lu",&dw_Temp);
		}
		while ((dw_Temp > 65536) || (dw_Temp < 2));
		dw_CompareValue = dw_Temp;
		
		
		i_ReturnValue = i_PCI1710_InitCompareLogic(h_BoardHandle,  
												   b_ModuleNbr,  
												   dw_CompareValue);
		if (i_ReturnValue != 0)
		{	
			printf("i_PCI1710_InitCompareLogic error: %ul",i_ReturnValue);
			goto OnError;
		}
		else
		{
			printf("i_PCI1710_InitCompareLogic OK");
		}

		printf ("\nAdd a correction coeficient to the compare value (0: No, 1: Yes)");
		do
		{
			scanf_s("%lu",&dw_Temp);
		}
		while (dw_Temp > 1);
		
		if(dw_Temp != 0)
		{
			
			printf ("\nNumber of Event before applying the correction coeeficient(2 to 65535 )");
			do
			{
				scanf_s("%lu",&dw_Temp);
			}
			while ((dw_Temp > 65536) || (dw_Temp < 2));
			dw_ModuloCompareEventValue = dw_Temp;

			printf ("\nCorrection value: (this value will be added to the compare value previously set) (- 32766 to + 32766)\n");
			do
			{
				scanf_s("%lu",&dw_Temp);
			}
			while ((dw_Temp > 32767) || (dw_Temp < -32767));
			dw_ModuloCompareCorrectionValue = dw_Temp;


			i_ReturnValue = i_PCI1710_ModuloCompareCorrection(h_BoardHandle,
				   											  b_ModuleNbr,
															  dw_ModuloCompareEventValue,
															  dw_ModuloCompareCorrectionValue);
			
			if (i_ReturnValue != 0)
			{	
				printf("i_PCI1710_ModuloCompareCorrection error: %ul\n",i_ReturnValue);
				goto OnError;
			}
			else
			{
				printf("i_PCI1710_ModuloCompareCorrection OK\n");
			}
		}
		i_ReturnValue = i_PCI1710_EnableCompareLogic(h_BoardHandle,  
													 b_ModuleNbr);

		if (i_ReturnValue != 0)
		{	
			printf("i_PCI1710_EnableCompareLogic error: %ul",i_ReturnValue);
			goto OnError;
		}
		else
		{
			printf("i_PCI1710_EnableCompareLogic OK");
		}
		
		for (;;)
		{
			if (dw_OldInterruptCpt != dw_InterruptCpt)
			{
				printf("\rIRQ Cpt:%lu FIFO Over:%lu IRQ src:%lu IRQ mask:%lu" ,dw_InterruptCpt,dw_IRQ_Status,dw_IRQ_InterruptSource,dw_IRQ_InterruptMask);
				/* Print the interrupt information */
				dw_OldInterruptCpt = dw_InterruptCpt;
			}

			if (_kbhit ())
			{
				/* Test ESC */
				if (_getch () == 27)
					break;
			}
		} 
	}
	OnError: 

	 i_PCI1710_DisableCompareLogic  (h_BoardHandle, b_ModuleNbr);
	 if (i_ReturnValue != 0)
	 {	
		printf("i_PCI1710_DisableCompareLogic error: %ul",i_ReturnValue);
	 }
	 else
	 {
		printf("i_PCI1710_DisableCompareLogic OK");
     }
	
	i_PCI1710_CloseBoard(h_BoardHandle);

	printf("\n Press any key to exit the sample ...");
	_getch();
	
	return 0;
}

