#include "stdafx.h"


void GetLowHighTiming(BYTE b_Unit, ULONG *ul_Low, ULONG *ul_High)
{
	DWORD dw_Tmp = 0;

		if (b_Unit == 0)
	{
		printf("Select a low timing value (200 to 4294967295): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 200) || (dw_Tmp > 4294967295));
		*ul_Low = (ULONG)dw_Tmp;

		printf("Select a high timing value (200 to 4294967295): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 200) || (dw_Tmp > 4294967295));
		*ul_High = (ULONG)dw_Tmp;
	}
	else if (b_Unit == 1)
	{
		printf("Select a low timing value (1 to 429496729): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429496729));
		*ul_Low = (ULONG)dw_Tmp;

		printf("Select a high timing value (1 to 429496729): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429496729));
		*ul_High = (ULONG)dw_Tmp;
	}
	else if (b_Unit == 2)
	{
		printf("Select a low timing value (1 to 429496): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429496));
		*ul_Low = (ULONG)dw_Tmp;

		printf("Select a high timing value (1 to 429496): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429496));
		*ul_High = (ULONG)dw_Tmp;
	}
	else if (b_Unit == 3)
	{
		printf("Select a low timing value (1 to 429): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429));
		*ul_Low = (ULONG)dw_Tmp;

		printf("Select a high timing value (1 to 429): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 429));
		*ul_High = (ULONG)dw_Tmp;
	}
	else if (b_Unit == 4)
	{
		printf("Select a low timing value (1 to 7): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 7));
		*ul_Low = (ULONG)dw_Tmp;

		printf("Select a high timing value (1 to 7): ");
		do
		{
			scanf_s("%lu", &dw_Tmp);
		} while ((dw_Tmp < 1) || (dw_Tmp > 7));
		*ul_High = (ULONG)dw_Tmp;
	}
}


int _tmain(int argc, _TCHAR* argv[])
{
	int i_ReturnValue = 0;
	HANDLE h_BoardHandle = NULL;

	BYTE b_Module = 0;
	ULONG ul_RealLowTiming = 0;
	ULONG ul_RealHighTiming = 0;
	/* Manual setting parameters */ 
	BYTE b_ManualSetting = 0;
	INT i = 0;
	DWORD dw_Temp = 0;

	UNREFERENCED_PARAMETER(argc);
	UNREFERENCED_PARAMETER(argv);

	printf("**************************************************\n");
	printf("****       SetPWMDigitalOutputs sample        ****\n");
	printf("**************************************************\n");
	printf("****    For this sample, only the PWM 0 of    ****\n");
	printf("****     the selected module is enabled       ****\n");
	printf("****     with a low timing value of 1 sec     ****\n");
	printf("****        and a high timing of 2 sec.       ****\n");
	printf("****     Moreover, the use of the extern      ****\n");
	printf("****     gate is disabled, as the use of      ****\n");
	printf("****              the interrupts              ****\n");
	printf("**************************************************\n\n");

	/* Open a board */
	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);
	if (i_ReturnValue != 0)
	{
		printf("\nError %d in i_Utils_OpenBoard\n\n", i_ReturnValue);
		goto end;
	}

	// Get the number of the module to use
	printf("Select the module (0 to 3): ");
	do
	{
		scanf_s("%lu", &dw_Temp);
	} while(dw_Temp > 3);
	b_Module = (BYTE)dw_Temp;

	// Initialises the PWM
	i_ReturnValue = i_PCI1710_InitPWM(h_BoardHandle, b_Module, 0, 3, 1, 2, &ul_RealLowTiming, &ul_RealHighTiming);
	if (i_ReturnValue != 0)
	{
		printf("\nError %d in i_PCI1710_InitPWM\n\n", i_ReturnValue);
		goto end;
	}
	else
		printf("\ni_PCI1710_InitPWM OK\n\n\n");

	// Gets the manual getting enabling to use
	printf("Manually set the output (0: no, 1: yes): ");
	do
	{
		scanf_s("%lu", &dw_Temp);
	} while (dw_Temp > 1);
	b_ManualSetting = (BYTE) dw_Temp;

	// Enables or disables the manual setting
	i_ReturnValue = i_PCI1710_EnableDisablePWMDigitalOutputManualSetting(h_BoardHandle, b_Module, b_ManualSetting);
	if (i_ReturnValue != 0)
	{
		printf("\nError %d in i_PCI1710_EnableDisablePWMDigitalOutputManualSetting\n\n", i_ReturnValue);
		goto cleanup;
	}
	else
		printf("\ni_PCI1710_EnableDisablePWMDigitalOutputMnaualSetting OK\n\n");

	// Enables the PWM
	i_ReturnValue = i_PCI1710_EnablePWM(h_BoardHandle, b_Module, 0, 0, 1, 1, 0, 0);
	if (i_ReturnValue != 0)
	{
		printf("\nError %d in i_PCI1710_EnablePWM\n\n", i_ReturnValue);
		goto end;
	}
	else
		printf("\ni_PCI1710_EnablePWM OK\n\n");

	printf("\n\nPress ESC to stop the sample or any other key\n");
	printf("to set/reset the output H of the selected module\n");
	printf("if the manual setting option has been enabled\n\n");
	for(;;)
	{
		if (i == 2)
			i = 0;

		if (_kbhit())
		{
			if (_getch() == 27) // Test if ESC
				break;
			else
			{
				if (b_ManualSetting == 1)
				{
					if (i == 0)
					{
						i_ReturnValue = i_PCI1710_SetPWMDigitalOutputOff(h_BoardHandle, b_Module);
						if (i_ReturnValue != 0)
						{
							printf("\nError %d in i_PCI1710_SetPWMDigitalOutputOff\n\n", i_ReturnValue);
							goto cleanup;
						}
						else
							printf("\nOutput reset.\n");
					}
					else if (i == 1)
					{
						i_ReturnValue = i_PCI1710_SetPWMDigitalOutputOn(h_BoardHandle, b_Module);
						if (i_ReturnValue != 0)
						{
							printf("\nError %d in i_PCI1710_SetPWMDigitalOutputOn\n\n", i_ReturnValue);
							goto cleanup;
						}
						else
							printf("\nOutput set.\n");
					}
					i++;
				}
			}
		}
	}


cleanup:
	i_ReturnValue = i_PCI1710_DisablePWM(h_BoardHandle, b_Module, 0);
	if (i_ReturnValue != 0)
		printf("\nError %d in i_PCI1710_DisablePWM\n\n", i_ReturnValue);
	else
		printf("\ni_PCI1710_DisablePWM OK\n\n");

end:
	i_ReturnValue = i_PCI1710_CloseBoard(h_BoardHandle);
    if (i_ReturnValue != 0)
		printf("\nError %d in i_PCI1710_CloseBoard\n\n", i_ReturnValue);
    else
		printf("\ni_PCI1710_CloseBoard OK\n\n");

    printf("Press any key to exit the sample...\n");
    _getch();

    return 0;
}
