// ReadAllSSIRawDataValue.cpp : Defines the entry point for the console application.
//



#include "stdafx.h"


int _tmain(int argc, _TCHAR* argv[])
{
	int i_ReturnValue = 0;
	HANDLE h_BoardHandle = NULL;
	BYTE b_Module = 0;
	BYTE b_Profile = 0;
	BYTE b_PCIInputClk = 0;
	DWORD dw_OutputClk = 0;
	DWORD pdw_ValueArray[6];
	BYTE b_ArraySize = 6;
	DWORD dw_Temp = 0;

	printf("Read one SSI raw data value test sample");
	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);

	if(i_ReturnValue ==0)
	{
		/*Set the module*/
		do
		{
			_flushall();
			printf("\nSelect the module (0 to 3) : ");
			scanf_s("%u", &dw_Temp);
		}
		while(dw_Temp > 3);

		b_Module = (BYTE)dw_Temp;

		/*Set the profile length*/
		do
		{
			_flushall();
			printf("\nSelect the profile length in bits (2 to 48) : ");
			scanf_s("%u", &dw_Temp);
		}
		while(dw_Temp < 2 || dw_Temp > 48);

		b_Profile = (BYTE)dw_Temp;

		/*Set the input clock*/
		do
		{
			_flushall();
			printf("\nSelect the input clock (30MHz or 33MHz) : ");
			scanf_s("%u", &dw_Temp);
		}
		while(dw_Temp != 30 && dw_Temp != 33);

		b_PCIInputClk = (BYTE)dw_Temp;


		/*Set the output clock*/
		if(b_PCIInputClk == 30)
		{
			do
			{
				_flushall();
				printf("\nSelect the output clock in Hz (229 to 500000) : ");
				scanf_s("%u", &dw_OutputClk);
			}
			while(dw_OutputClk < 229 || dw_OutputClk > 500000);
		}
		else
		{
			do
			{
				_flushall();
				printf("\nSelect the output clock in Hz (252 to 500000) : ");
				scanf_s("%u", &dw_OutputClk);
			}
			while(dw_OutputClk < 252 || dw_OutputClk > 500000);
		}

		i_ReturnValue = i_PCI1710_InitSSIRawData(h_BoardHandle, 
												b_Module, 
												b_Profile, 
												b_PCIInputClk, 
												dw_OutputClk);

		if(i_ReturnValue == 0)
		{
			/*SSI initialized*/

			printf("\n Press ESC to quit");

			for(;;)
			{
				i_ReturnValue = i_PCI1710_ReadAllSSIRawDataValue(h_BoardHandle, 
																b_Module,  
																pdw_ValueArray,
																b_ArraySize);

				if(i_ReturnValue != 0)
				{
					printf("\n i_PCI1710_ReadAllSSIRawDataValue Error : %d", i_ReturnValue);
					break;
				}

				if(b_Profile > 32)
				{
					printf("\n 0 - %x%x \t 1 - %x%x \t 2 - %x%x \t", 
							pdw_ValueArray[1], 
							pdw_ValueArray[0],
							pdw_ValueArray[3], 
							pdw_ValueArray[2],
							pdw_ValueArray[5], 
							pdw_ValueArray[4]);
				}

				else
				{
					printf("\n 0 - %x \t 1 - %x \t 2 - %x", 
							pdw_ValueArray[0], 
							pdw_ValueArray[1], 
							pdw_ValueArray[2]);
				}
				if(_kbhit())
					if(_getch() == 27)
						break;
			}
		}
		else
		{
			printf("\n i_PCI1710_InitSSIRawData Error : %d", i_ReturnValue);
		}

		
		i_ReturnValue = i_PCI1710_CloseBoard(h_BoardHandle);
	}
	else
	{
		printf("\n i_PCI1710_InitTimer Error : %d", i_ReturnValue);
	}

	printf("\n Press any key to exit the sample ...");
	_getch();
	


	return 0;
}

