// WriteSSIDigitalOutput.cpp : Defines the entry point for the console application.
//



#include "stdafx.h"


int _tmain(int argc, _TCHAR* argv[])
{
	int i_ReturnValue = 0;
	HANDLE h_BoardHandle = NULL;
	BYTE b_Module = 0;
	DWORD dw_Temp = 0;
	ULONG ul_Cpt = 0;
	CHAR c_Key = 0;

	printf("Write SSI output test sample");
	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);

	if(i_ReturnValue == 0)
	{
		/*Initialization of the parameters*/

		/*Set the module*/
		do
		{
			_flushall();
			printf("\nSelect the module (0 to 3) : ");
			scanf_s("%u", &dw_Temp);
		}
		while(dw_Temp > 3);

		b_Module = (BYTE)dw_Temp;

		/*Initialise the SSI. Here values does not realy care, beacause we want to test the inputs*/
		i_ReturnValue = i_PCI1710_InitSSI(h_BoardHandle, 
										b_Module, 
										24,				//profile length
										12,				//position length
										12,				//turn counter length
										30,				//PCI clock
										200000,			//output clock
										0);				//binary mode

		if(i_ReturnValue == 0)
		{
			printf("\n Press ESC to quit, any othe key to change the state of the outputs");
			for(;;)
			{
				_flushall();
				c_Key = (CHAR)_getch();

				if(c_Key == 27)
					break;
				else if(ul_Cpt % 2 == 0)
				{
					/*ul_Cpt is incremented each time the output level changes
					 So if multiple of 2 the output is to be switched on, else it is to be switched off*/
					ul_Cpt++;

					/*Read channel 0*/
					i_ReturnValue = i_PCI1710_SetSSIDigitalOutputOn(h_BoardHandle, 
																	b_Module);

					if(i_ReturnValue == 0)
						printf("\n Outputs On");
					else
					{
						printf("\n i_PCI1710_SetSSIDigitalOutputOn Error : %d", i_ReturnValue);
						break;
					}
				}
				else
				{
					ul_Cpt++;

					/*Read all channels*/
					i_ReturnValue = i_PCI1710_SetSSIDigitalOutputOff(h_BoardHandle, 
																	b_Module);

					if(i_ReturnValue == 0)
						printf("\n Outputs Off");
					else
					{
						printf("\n i_PCI1710_SetSSIDigitalOutputOff Error : %d", i_ReturnValue);
						break;
					}
				}
			}
		}
		i_ReturnValue = i_PCI1710_CloseBoard(h_BoardHandle);
	}
	else
	{
		printf("\n i_PCI1710_InitTimer Error : %d", i_ReturnValue);
	}

	printf("\n Press any key to exit the sample ...");
	_getch();
	


	return 0;
}

