// ReadTTLIOChannelValue.cpp : Defines the entry point for the console application.
//



#include "stdafx.h"




int _tmain(int argc, _TCHAR* argv[])
{
	int i_ReturnValue = 0;
	HANDLE h_BoardHandle;
	unsigned char b_TestStatus = 0;
	BYTE b_Module = 0;
	BYTE b_PortMode[4] = {0, 0, 0, 0}; //Set all the mode to input
	BYTE b_Port = 0;
	BYTE b_Channel = 0;
	DWORD dw_Temp = 0;
	BYTE b_ReadValue = 0;

	printf("Test read one TTL input channel test sample");
	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);

	if(i_ReturnValue ==0)
	{
		/*Initialization of the parameters*/

		/*Set the module in which to read*/
		do
		{
			_flushall();
			printf("\nSelect the module (0 to 3) : ");
			scanf_s("%d", &dw_Temp);
		}
		while(dw_Temp > 3);

		b_Module = (BYTE)dw_Temp;

		/*Set the port in which to read*/
		do
		{
			_flushall();
			printf("\nSelect the port (0 -> A, 1 -> B, 2 -> C, 3 -> D) : ");
			scanf_s("%d", &dw_Temp);
		}
		while(dw_Temp > 3);

		b_Port = (BYTE)dw_Temp;

		/*Set the channel to read*/
		do
		{
			_flushall();
			printf("\nSelect the channel (0 to %i) : ",b_Port<3?7:1);
			scanf_s("%d", &dw_Temp);
		}
		while(dw_Temp > (DWORD)(b_Port<3?7:1));

		b_Channel = (BYTE)dw_Temp;

		/*Initialize all the port to input*/
		i_ReturnValue = i_PCI1710_InitTTLIODirection(h_BoardHandle,
													b_Module,
													b_PortMode[0],
													b_PortMode[1],
													b_PortMode[2],
													b_PortMode[3]);

		if(i_ReturnValue == 0)
		{
			printf("\ni_PCI1710_InitTTLIODirection Ok");
			printf("\nPress ESC to quit");
			for(;;)
			{
				/*Test if ESC pressed*/
				if(_kbhit())
				{
					if(_getch() == 27)
						break;
					_flushall();
				}

				i_ReturnValue = i_PCI1710_ReadTTLIOChannelValue(h_BoardHandle,
																b_Module,
																b_Port,
																b_Channel,
																&b_ReadValue);

				/*if an error occured*/
				if(i_ReturnValue != 0)
				{
					printf("\ni_PCI1710_ReadTTLIOChannelValue Error %d", i_ReturnValue);
					break;
				}

				/*Display the result*/
				printf("\nStatus of the input %d, port %c, module %d : %d",
						b_Channel,
						b_Port + 'A',
						b_Module,
						b_ReadValue);

				Sleep(200);
			}
		}
		else
		{
			printf("\ni_PCI1710_InitTTLIODirection Error %d", i_ReturnValue);
		}
		
		i_ReturnValue = i_PCI1710_CloseBoard(h_BoardHandle);
	}

	printf("\n Press any key to exit the sample ...");
	_getch();
	


	return 0;
}

