function [returnValue] = i_PCI1710_mexDisableETM(deviceHandle, moduleNumber, ETM)
% i_PCI1710_mexDisableETM
%
% Disables the ETM counter of the selected module
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    ETM                       "Selection of the ETM counter (0 or 1)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexDisableETM(deviceHandle, moduleNumber, ETM);
