function [returnValue] = i_PCI1710_mexDisablePWM(deviceHandle, moduleNumber, PWM)
% i_PCI1710_mexDisablePWM
%
% Disables the selected PWM of the selected module.
% The output signal level depends of the configuration of the PWM parameter (see the b_StartLevel, b_StopMode and b_StopLevel parameters of the i_PCI1710_EnablePWM function).
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    PWM                       "Index of the selected PWM (0 or 1)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexDisablePWM(deviceHandle, moduleNumber, PWM);
