function [returnValue, hardwareType] = i_PCI1710_mexGetBoardHardwareType(deviceHandle)
% i_PCI1710_mexGetBoardHardwareType
%
% Returns the type of the hardware of the PCI1710 board.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    hardwareType              "Type of the hardware (0: 10K10, 1: 10K20). The hardware type is necessary to be known for the user to configure the module. There are two subdirectories containing the config files. The path given to the function must be the good one, or the card could be destroyed"
%
%Example:
% // Add an example here

[returnValue, hardwareType] = i_PCI1710_mexGetBoardHardwareType(deviceHandle);
