function [returnValue, indexStatus] = i_PCI1710_mexGetIndexStatus(deviceHandle, moduleNumber)
% i_PCI1710_mexGetIndexStatus
%
% Returns the index status.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    indexStatus               "Index status (0: no index, 1: an index is determined)"
%
%Example:
% // Add an example here

[returnValue, indexStatus] = i_PCI1710_mexGetIndexStatus(deviceHandle, moduleNumber);
