function [returnValue, UASStatus] = i_PCI1710_mexGetUASStatus(deviceHandle, moduleNumber)
% i_PCI1710_mexGetUASStatus
%
% Returns the UAS status.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    UASStatus                 "UAS status (0: UAS is set on low, 1: UAS is set on high)"
%
%Example:
% // Add an example here

[returnValue, UASStatus] = i_PCI1710_mexGetUASStatus(deviceHandle, moduleNumber);
