function [returnValue] = i_PCI1710_mexInitReference(deviceHandle, moduleNumber, referenceLevel)
% i_PCI1710_mexInitReference
%
% Initializes the reference that corresponds with the selected module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    referenceLevel            "Reference level (0: if '0', reference initialized, 1: if '1', reference initialized)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexInitReference(deviceHandle, moduleNumber, referenceLevel);
