function [returnValue, counterValue] = i_PCI1710_mexRead16BitCounterValue(deviceHandle, moduleNumber, selectedCounter)
% i_PCI1710_mexRead16BitCounterValue
%
% Latches a 16-bit counter from the selected module in the first register and returns the latched value.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    selectedCounter           "Selection of the 16-bit counter (0 or 1)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    counterValue              "16-bit counter value"
%
%Example:
% // Add an example here

[returnValue, counterValue] = i_PCI1710_mexRead16BitCounterValue(deviceHandle, moduleNumber, selectedCounter);
