function [returnValue, valueArray] = i_PCI1710_mexRead1SSIRawDataValue(deviceHandle, moduleNumber, SSINbr, arraySize)
% i_PCI1710_mexRead1SSIRawDataValue
%
% Reads the raw value of a given SSI counter.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    SSINbr                    "Number of the SSI counter"
%    arraySize                 "Size of the array"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    valueArray                "Array of the raw data"
%
%Example:
% // Add an example here

[returnValue, valueArray] = i_PCI1710_mexRead1SSIRawDataValue(deviceHandle, moduleNumber, SSINbr, arraySize);
