function [returnValue, counterValue] = i_PCI1710_mexRead32BitCounterValue(deviceHandle, moduleNumber)
% i_PCI1710_mexRead32BitCounterValue
%
% Latches the 32-bit counter from the selected module in the first register and returns the latched value.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    counterValue              "32-bit counter value"
%
%Example:
% // Add an example here

[returnValue, counterValue] = i_PCI1710_mexRead32BitCounterValue(deviceHandle, moduleNumber);
