function [returnValue, digitalInputs] = i_PCI1710_mexReadDigitalInputs(deviceHandle, moduleNumber)
% i_PCI1710_mexReadDigitalInputs
%
% Reads the value of the digital inputs.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    digitalInputs             "Values of the digital inputs (from 0x0 to 0x7, bit 0: input C, bit 1: input D, bit 2: input E, bit 3: input F, bit 4: input G, bit 5: input A, bit 6: input B)"
%
%Example:
% // Add an example here

[returnValue, digitalInputs] = i_PCI1710_mexReadDigitalInputs(deviceHandle, moduleNumber);
