function [returnValue, inputStatus] = i_PCI1710_mexReadPWMAllDigitalInputs(deviceHandle, modulNbr)
% i_PCI1710_mexReadPWMAllDigitalInputs
%
% Reads the status of all the PWM digital inputs of the selected module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    modulNbr                  "Number of the module to configure (0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    inputStatus               "Digital inputs channel status"
%
%Example:
% // Add an example here

[returnValue, inputStatus] = i_PCI1710_mexReadPWMAllDigitalInputs(deviceHandle, modulNbr);
