function [returnValue, value] = i_PCI1710_mexReadSSI1DigitalInput(deviceHandle, moduleNumber, channel)
% i_PCI1710_mexReadSSI1DigitalInput
%
% Reads the selected digital input of a given module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    channel                   "Channel to read (0..2)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    value                     "Value of the channel (0: not active, 1: active)"
%
%Example:
% // Add an example here

[returnValue, value] = i_PCI1710_mexReadSSI1DigitalInput(deviceHandle, moduleNumber, channel);
