function [returnValue, value] = i_PCI1710_mexReadSSIAllDigitalInput(deviceHandle, moduleNumber)
% i_PCI1710_mexReadSSIAllDigitalInput
%
% Reads all the digital inputs of a given module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    value                     "Mask of the channel status (0000 0XYZ -> bitZ: D0, bit Y: D1, bit X: D2)"
%
%Example:
% // Add an example here

[returnValue, value] = i_PCI1710_mexReadSSIAllDigitalInput(deviceHandle, moduleNumber);
