function [returnValue, value] = i_PCI1710_mexReadTTLIOAllPortValue(deviceHandle, moduleNumber)
% i_PCI1710_mexReadTTLIOAllPortValue
%
% Reads the value of the TTL digital inputs of all the ports of a given module.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%    value                     "Status of all the ports"
%
%Example:
% // Add an example here

[returnValue, value] = i_PCI1710_mexReadTTLIOAllPortValue(deviceHandle, moduleNumber);
