function [returnValue] = i_PCI1710_mexSetDigitalOutputsOff(deviceHandle, moduleNumber, digitalOutputs)
% i_PCI1710_mexSetDigitalOutputsOff
%
% Sets off the selected digital outputs.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    digitalOutputs            "Outputs to set on (from 0x0 to 0x7, bit 0: output H, bit 1: output A, bit 2: output B)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexSetDigitalOutputsOff(deviceHandle, moduleNumber, digitalOutputs);
