function [returnValue] = i_PCI1710_mexSetIndexAndReferenceSource(deviceHandle, moduleNumber, sourceSelection)
% i_PCI1710_mexSetIndexAndReferenceSource
%
% Determines the hardware source for the index and the reference logic.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    sourceSelection           "Source of the index and the reference logic (0: source 0 (index logic connected to the differential input C and reference logic to the 24 V input E), 1: source 1 (reference logic connected to the differential input C and index logic to the 24 V input E))"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexSetIndexAndReferenceSource(deviceHandle, moduleNumber, sourceSelection);
