function [returnValue] = i_PCI1710_mexSetTTLIOChannelOff(deviceHandle, moduleNumber, portNbr, channelNbr)
% i_PCI1710_mexSetTTLIOChannelOff
%
% Resets one TTL output.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    portNbr                   "Number of the port of tha channel (0: I, 1: J, 2: A, 3: B, 4: C)"
%    channelNbr                "Output to set (from 0 to 7). For port I and J, only the output 0 is available"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexSetTTLIOChannelOff(deviceHandle, moduleNumber, portNbr, channelNbr);
