function [returnValue] = i_PCI1710_mexSetTTLIOChlOn(deviceHandle, moduleNumber, channelNbr)
% i_PCI1710_mexSetTTLIOChlOn
%
% Sets one TTL output.
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    moduleNumber              "Number of the module to be configured (from 0 to 3)"
%    channelNbr                "Output to set (0: PD0, 1: PD1, 2 to 9: PA0 to PA7, 10 to 17: PB0 to PB7, 18 to 25: PC0 to PC7)"
%
% Output parameters:
%    returnValue               "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCI1710_mexSetTTLIOChlOn(deviceHandle, moduleNumber, channelNbr);
